package gr.uoi.popupexample;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.PopupMenu;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {

    private Button bt_click = null;
    private TextView tv_message = null;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        bt_click = findViewById(R.id.bt_click);
        tv_message = findViewById(R.id.tv_message);
        bt_click.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                PopupMenu menu =new PopupMenu(MainActivity.this,bt_click);

                menu.getMenuInflater().inflate(R.menu.popup, menu.getMenu());
                menu.setOnMenuItemClickListener(new PopupMenu.OnMenuItemClickListener() {
                    @Override
                    public boolean onMenuItemClick(MenuItem menuItem) {
                        tv_message.setText(menuItem.getTitle().toString());
                        if(menuItem.getItemId()==R.id.linux)
                        {
                            Toast.makeText(MainActivity.this, "Linux is the best!!",
                                    Toast.LENGTH_LONG).show();
                        }
                        return true;
                    }
                });
                menu.show();
            }
        });
    }
}